import AbstractCodeGenerator from "./AbstractCodeGenerator";
import { code_generator_options, sdk_definition, sdk_definition_files, sdk_service_definition, sdk_service_definition_method_arg, sdk_service_definition_type, sdk_service_definition_type_field, sdk_service_definition_type_fields, sdk_service_type } from "./types";
import { GraphQLEnumType, GraphQLInputObjectType, GraphQLObjectType, GraphQLScalarType, GraphQLType } from "graphql";
export declare abstract class AbstractGraphQLSdkSourceCodeGenerator extends AbstractCodeGenerator {
    protected definition: any | undefined;
    protected readonly defaultVars: any;
    protected readonly envs: any;
    constructor({ vars, envs, ...options }: code_generator_options & {
        vars?: any;
        envs?: any;
    });
    protected buildEndpointFromSource(source: string): string;
    protected buildDefaultVars(): Promise<{
        [key: string]: any;
    }>;
    protected fetchSource(): Promise<void>;
    protected prepare(): Promise<void>;
    abstract getLanguage(): string;
    protected configureSdkDefinition(def: sdk_definition): Promise<void>;
    protected buildDynamicFiles(): Promise<sdk_definition_files>;
    protected buildDynamicFilesFromServiceDefAndVars(def: sdk_service_definition, vars: any, r: Function): Promise<{}>;
    protected buildVars(): Promise<{
        [key: string]: any;
    }>;
    protected buildStaticFilesFromStaticTemplates(): Promise<{
        [key: string]: string | true;
    }>;
    protected buildSdkServiceDefinition(): Promise<sdk_service_definition>;
    protected buildSdkServiceDefinitionTypes(def: sdk_service_definition): Promise<void>;
    protected buildSdkServiceDefinitionModels(def: sdk_service_definition): Promise<void>;
    protected buildSdkServiceDefinitionInputs(def: sdk_service_definition): Promise<void>;
    protected buildSdkServiceDefinitionQueries(def: sdk_service_definition): Promise<void>;
    protected buildSdkServiceDefinitionMutationQueries(def: sdk_service_definition): Promise<void>;
    protected buildSdkServiceDefinitionQueryQueries(def: sdk_service_definition): Promise<void>;
    protected sortObject(o: any): {};
    protected convertGraphQLTypeFields(types: {
        [key: string]: any;
    }): sdk_service_definition_type_fields;
    protected convertGraphQLTypeToField(type: GraphQLType): Omit<sdk_service_definition_type_field, 'name'>;
    protected convertGraphQLTypeToArg(type: GraphQLType): Omit<sdk_service_definition_method_arg, 'name'>;
    protected convertGraphQLTypeToReturnType(type: GraphQLType): Omit<sdk_service_definition_method_arg, 'name'>;
    protected convertGraphQLTypeToType(type: GraphQLType): Omit<sdk_service_definition_type, 'name'>;
    protected convertGraphQLType(type: GraphQLType): sdk_service_type;
    getPrimitiveTypeMapping(): {
        Int: string;
        String: string;
        BigInt: string;
        Boolean: string;
        Float: string;
        ID: string;
        unknown: string;
    };
    buildPrimitiveTypeMapping(type: GraphQLScalarType): sdk_service_type;
    buildEnumTypeMapping(type: GraphQLEnumType): sdk_service_type;
    buildObjectTypeMapping(type: GraphQLObjectType): sdk_service_type;
    buildInputObjectTypeMapping(type: GraphQLInputObjectType): sdk_service_type;
}
export default AbstractGraphQLSdkSourceCodeGenerator;
//# sourceMappingURL=AbstractGraphQLSdkSourceCodeGenerator.d.ts.map