import { sdk_service_definition, sdk_service_definition_inputs, sdk_service_definition_models, sdk_service_definition_queries } from "../../types";
import AbstractGraphQLSdkSourceCodeGenerator from "../../AbstractGraphQLSdkSourceCodeGenerator";
export declare class GoGraphqlSdkSourceCodeGenerator extends AbstractGraphQLSdkSourceCodeGenerator {
    getLanguage(): string;
    protected buildDynamicFilesFromServiceDefAndVars(def: sdk_service_definition, vars: any, r: Function): Promise<{
        'LICENSE.md': Function;
        'README.md': Function;
        '.gitignore': Function;
        'go.mod': Function;
        'cmd/main/queries.go': () => string;
        'cmd/main/types/inputs.go': () => string;
        'cmd/main/types/models.go': () => string;
        'cmd/main/sdk.go': () => string;
    }>;
    protected buildSdkFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected buildTypesFileContent(def: sdk_service_definition_inputs | sdk_service_definition_models): Promise<string>;
    protected buildFieldsNamesAndTypes(f: any, n: any): string;
    protected buildQueriesFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected buildInputsFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected buildModelsFileContent(def: sdk_service_definition, vars: any): Promise<string>;
    protected capitalizeFirstLetter(s: any): any;
    protected buildTypeFields(o: any, n: any): string;
    protected buildsQueries(o: any): string;
    protected buildArgs(o: any, first?: boolean): string;
    protected buildQueryFields(o: any): string;
    protected buildFieldTypes(f: any): any;
    protected buildSdkArgs(o: any): string;
    protected sortQueries(q: sdk_service_definition_queries): [string, import("../../types").sdk_service_definition_query][];
}
export default GoGraphqlSdkSourceCodeGenerator;
//# sourceMappingURL=GoGraphqlSdkSourceCodeGenerator.d.ts.map