import { sdk_service_definition } from "../../types";
import AbstractGraphQLSdkSourceCodeGenerator from "../../AbstractGraphQLSdkSourceCodeGenerator";
export declare class TypescriptGraphqlSdkSourceCodeGenerator extends AbstractGraphQLSdkSourceCodeGenerator {
    getLanguage(): string;
    protected buildDynamicFilesFromServiceDefAndVars(def: sdk_service_definition, vars: any, r: Function): Promise<{
        'src/index.ts': Function;
        'src/Sdk.ts': Function;
        'src/BaseSdk.ts': Function;
        'src/types/input.ts': Function;
        'src/types/model.ts': Function;
        'src/config.ts': Function;
        'src/queries.ts': Function;
        'LICENSE.md': Function;
        'package.json': Function;
        'README.md': Function;
        'tsconfig.json': Function;
        '.nvmrc': Function;
    }>;
    protected buildVars(): Promise<{
        [key: string]: any;
    }>;
    protected buildPackageJsonModel({ packageName, packageVersion, packageDescription, repository, publishConfig, dependencies, peerDependencies, devDependencies, repoType }: any): Promise<any>;
    protected buildStaticFilesFromStaticTemplates(): Promise<{
        [key: string]: string | true;
    }>;
}
export default TypescriptGraphqlSdkSourceCodeGenerator;
//# sourceMappingURL=TypescriptGraphqlSdkSourceCodeGenerator.d.ts.map